Migrate a pricing plan schedule to a new pricing plan version

Requires the PRICING_PLAN_SCHEDULE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version
resourceIdstringRequiredDefaults to
The ID of the resource to be requested.

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
set_previous_end_atbooleanOptional

Setting the value to true will set the end of the previous schedule to the start of this schedule. Mutually exclusive with set_next_start_at

Request

This endpoint expects an object.
start_atdatetimeOptional
The start at of the new schedule, and automatically the end at of the original schedule.
end_atdatetime or nullOptional
The end at of the new schedule. If not sent, the value of the original schedule is taken.
pricing_plan_version_idstring or nullOptional
The ID of the pricing plan version.
pricing_plan_version_selectorobjectOptional

Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.

realign_invoice_date_to_pricing_plan_schedule_start_atboolean or nullOptional
Realign the invoice date to the start of the new schedule. Only allowed for EXACT billing.

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
typeenum or nullOptional
The type of the pricing plan schedule.
pricing_plan_subscription_idstringOptional

Resource ID of type PRICING_PLAN_SUBSCRIPTION

pricing_plan_idstring or nullOptional
The resource ID of the pricing plan.
pricing_plan_version_idstring or nullOptional
The resource ID of the pricing plan version.
pricing_plan_version_selectorobjectOptional

Instead of the pricing_plan_version_id, during creation, a selector can be submitted to determine the pricing plan version.

start_atdatetimeOptional
end_atdatetime or nullOptional
pricing_currencyenum or nullOptional
The default alphabetic currency code representing the type of currency used for the pricing.
billing_periodobjectOptional
entitlementslist of objects or nullOptional
discountobjectOptional
markupobjectOptional
commitmentobjectOptional
coupon_discountobject or nullOptional
couponslist of objects or nullOptional
seats_valueslist of objects or nullOptional
included_volumeslist of objects or nullOptional
enabled_pricingslist of objects or nullOptional
override_pricingslist of objects or nullOptional
pricing_categorieslist of objects or nullOptional

Pricing defined directly on this schedule, in addition to (or instead of) a linked pricing plan version / rate-card.

combined_pricing_plan_versionobject or nullOptional
realign_invoice_date_to_pricing_plan_schedule_start_atboolean or nullOptional
created_atstring or nullOptionalRead-only
promotion_codeslist of strings or nullOptionalDeprecated
coupon_idslist of strings or nullOptionalDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error